using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using skyscraper5.Mpeg2;
using skyscraper5.Skyscraper.Plugins;
using skyscraper5.Skyscraper.Text;

namespace skyscraper5.Dvb.DataBroadcasting.IntDescriptors
{
	[SkyscraperPlugin]
	[TsDescriptor(0x0D,"INT")]
    internal class IpMacPlatformProviderNameDescriptor : TsDescriptor
    {
        public IpMacPlatformProviderNameDescriptor(byte[] buffer)
        {
            Iso639LanguageCode = Encoding.ASCII.GetString(buffer, 0, 3);

            Text = En300468AnnexATextDecoder.GetInstance().Decode(buffer, 3, buffer.Length - 3);
        }

        public string Text { get; private set; }

        public string Iso639LanguageCode { get; private set; }
    }
}
